<?

/* ad_censor.php - manage your censored words (c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

require_once("settings.php");
require_once("functions.php");
require_once("auth.php");
ad();

if($user_logged_in != 1 || $user_data[status] != 1) {
	mylog("2","%1: Administrational-access-attempt (IP: %2)");
	header("Location: ad_login.php?$HSID"); exit;
}
else {

	$cwords = myfile("vars/cwords.var");
	$save = 0;
	$fehler = "";

	switch($mode) {

		case "new":
			$showformular = 1;
			$fehler = "";

			if($replacement == "" || !$replacement) $replacement = "******";

			if($create == 1) {
				if(trim($word) == "") $fehler = "Please enter the word that will be replaced!";
				else {
					$new_id = explode("",$cwords[sizeof($cwords)-1]); $new_id = $new_id[0]+1;
					$towrite = $new_id."$word"."$replacement"."\r\n";
					myfwrite("vars/cwords.var",$towrite,"a"); $showformular = 0;
					mylog("8","%1: Administration: Censor (ID: $newid) created (IP: %2)");
					header("Location: ad_censor.php?$HSID"); exit;
				}
			}

			if($showformular == 1) {
				include("pageheader.php");
				echo adnavbar("<a class=\"navbar\" href=\"ad_censor.php$MYSID1\">Manage censorship</a>Create a new censorship");
				?>
					<form method="post" action="ad_censor.php?mode=new<?=$MYSID2?>"><input type="hidden" name="create" value="1">
					<table class="tbl" border=0 width="<?=$twidth?>" cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>">
					<tr><th class="thnorm" colspan=2><span class="thnorm">Edit word</span></th></tr>
					<? if($fehler != "") echo "<tr><td class=\"td1\" colspan=2><span class=\"error\">$fehler</span></td></tr>"; ?>
					<tr>
					 <td class="td1"><span class="norm"><b>Word:</b></span></td>
					 <td class="td1"><input type=text name=word> <span class="small">(Upper and lower case writing will be ignored)</span></td>
					</tr>
					<tr>
					 <td class="td1"><span class="norm"><b>Replacement:</b></span></td>
					 <td class="td1"><input type=text name=replacement value="<?=$replacement?>"></td>
					</tr>
					</table><br><input type="submit" value="create"></form></center>
				<?
			}
		break;

		case "edit":
			if($update == 1) {
				for($i = 0; $i < sizeof($cwords); $i++) {
					$akt_cword = explode("",$cwords[$i]);
					if($akt_cword[0] == $id) {
						$akt_cword[1] = $word; $akt_cword[2] = $replacement;
						$cwords[$i] = implode("",$akt_cword); $save = 1; break;
					}
				}

				if($save == 1) {
					myfwrite("vars/cwords.var",$cwords,"w");
					header("Location: ad_censor.php?$HSID");
					mylog("8","%1: Administration: Censor (ID: $id) edited (IP: %2)"); exit;
				}
				else echo "ad_cword.php-edit-error!";
			}
			else {
				for($i = 0; $i < sizeof($cwords); $i++) {
					$akt_cword = explode("",$cwords[$i]);
					if($akt_cword[0] == $id) {
						include("pageheader.php");
						echo adnavbar("<a class=\"navbar\" href=\"ad_censor.php$MYSID1\">Manage censorship</a>Edit word");
						?>
							<form method="post" action="ad_censor.php?mode=edit<?=$MYSID2?>"><input type="hidden" name="update" value="1"><input type="hidden" name="id" value="<?=$id?>">
							<table class="tbl" border=0 width="<?=$twidth?>" cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>">
							<tr><th class="thnorm" colspan="2"><span class="thnorm">Edit word</span></th></tr>
							<tr>
							 <td class="td1"><span class="norm"><b>Word:</b></span></td>
							 <td class="td1"><input type="text" name="word" value="<?=$akt_cword[1]?>"> <span class="small">(Upper and lower case writing will be ignored)</span></td>
							</tr>
							<tr>
							 <td class="td1"><span class="norm"><b>Replacement:</b></span></td>
							 <td class="td1"><input type="text" name="replacement" value="<?=$akt_cword[2]?>"></td>
							</tr>
							</table><br><input type=submit value="update"></form></center>
						<?
						break;
					}
				}
			}
		break;

		case "kill":
			for($i = 0; $i < sizeof($cwords); $i++) {
				$akt_cword = explode("",$cwords[$i]);
				if($akt_cword[0] == $id) {
					$save = 1; $cwords[$i] = ""; break;
				}
			}

			if($save == 1) {
				myfwrite("vars/cwords.var",$cwords,"w");
				mylog("8","%1: Administration: Censor (ID: $id) deleted (IP: %2)");
				header("Location: ad_censor.php?$HSID"); exit;
			}
			else echo "censorship-delete-error!";
		break;

		default:
			include("pageheader.php");
			echo adnavbar("Manage censorship");
			?>
				<table class="tbl" border=0 width="<?=$twidth?>" cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>">
				<tr>
				 <th class="thsmall"><span class="thsmall">Word</span></th>
				 <th class="thsmall"><span class="thsmall">Replacement</span></th>
				 <th class="thsmall"></th>
				</tr>
			<?
			if(sizeof($cwords) == 0) echo "<tr><td class=\"td1\" colspan=3><span class=\"norm\"><center>--No censorship available--</center></span></td></tr>";
			else {
				for($i = 0; $i < sizeof($cwords); $i++) {
					$akt_cword = explode("",$cwords[$i]);
					?>
						<tr>
						 <td class="td1"><span class="norm"><?=$akt_cword[1]?></span></td>
						 <td class="td2"><span class="norm"><?=$akt_cword[2]?></span></td>
						 <td class="td1"><span class="norm"><center><a class="norm" href="ad_censor.php?mode=kill&id=<?=$akt_cword[0]?><?=$MYSID2?>">delete</a>&nbsp;|&nbsp;<a class="norm" href="ad_censor.php?mode=edit&id=<?=$akt_cword[0]?><?=$MYSID2?>">edit</a></center></span></td>
						</tr>
					<?
				}
			}

			echo "</table></center><span class=\"norm\"><a class=\"norm\" href=\"ad_censor.php?mode=new$MYSID2\">Create new censorship</a></span></center>";
		break;
	}
}

wio_set("ad");
include("pagetail.php");

?>