<?

/* ext_functions.php - Functions for the external scripts (c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

// delete \r\n of a string
function killnl($text) {
	return str_replace("\n","",str_replace("\r\n","",$text));
}

// Make date string readable
function makedatum($text) {

	global $gmt_offset;

	$x = substr($gmt_offset,1,2)*3600 + substr($gmt_offset,3,2)*60;
	if(substr($gmt_offset,0,1) == "-") $x = -1*$x;

	$text = mktime(substr($text,8,2),substr($text,10,2),0,substr($text,4,2),substr($text,6,2),substr($text,0,4)) + $x + date("Z");
	$text = gmstrftime("%Y%m%d%H%M",$text);

	$jahr = substr($text,0,4);
	$monat = substr($text,4,2);
	switch ($monat) {
		case "01":
			$monat = "January";
			break;
		case "02":
			$monat = "February";
			break;
		case "03":
			$monat = "March";
			break;
		case "04":
			$monat = "April";
			break;
		case "05":
			$monat = "May";
			break;
		case "06":
			$monat = "June";
			break;
		case "07":
			$monat = "July";
			break;
		case "08":
			$monat = "August";
			break;
		case "09":
			$monat = "September";
			break;
		case "10":
			$monat = "October";
			break;
		case "11":
			$monat = "November";
			break;
		case "12":
			$monat = "December";
			break;
	}
	$tag = substr($text,6,2);
	$stunde = substr($text,8,2);
	$minute = substr($text,10,2);
	$text = "$tag. $monat $jahr $stunde:$minute";
	return $text;
}

// find topicname
function get_thread_name($file) {
	if(!$topic_file = file($file)) $topic_name = "Deleted";
	else {
		$topic_info = explode("", $topic_file[0]);
		$topic_name = $topic_info[1];
	}
	return $topic_name;
}

// Get username out of the user-file
function get_user_name($file) {
	if(!$user_daten = file($file)) $user_name = "Deleted";
	else $user_name = killnl($user_daten[0]);
	return $user_name;
}

?>