<?

/* faq.php - Displays the FAQ(c) 2001/2002 The X-Crew */
/* translated by DFME <dfme@bluemail.ch> */

require_once("auth.php");

echo navbar("F.A.Q.");

?>

<table class="tbl" border="0" cellspacing="<?=$tspacing?>" cellpadding="<?=$tpadding?>" width="<?=$twidth?>">

<tr><th class="thnorm"><span class="thnorm">F.A.Q.</span></th></tr>
<tr><td class="kat"><span class="kat">Overview</span></td></tr>
<tr><td class="td1"><span class="norm"><a href="#1">What is UPB?</a><br><a href="#2">How can I register?</a><br><a href="#3">What are private forums?</a><br><a href="#4">What's a moderator?</a><br><a href="#5">What does the admin do?</a><br><a href="#6">How do I edit a post?</a><br><a href="#7">How do I delete a post?</a><br><a href="#8">What's a smilie and how do I use them?</a><br><a href="#9">What's UPB code and how do I use it?</a></span></td></tr>

<tr><td class="kat"><span class="kat"><a name=1>What is UPB?</a></span></td></tr>
<tr>
    <td class="td1"><span class="norm">UPB is an interactive forum. It displays, in an orderly fassion,
      discussions that are being held between a group of people/users.</span></td>
  </tr>

<tr>
    <td class="kat"><span class="kat"><a name=2>How can I register?</a></span></td>
  </tr>
<tr>
    <td class="td1"><span class="norm">If you would like to register click on &quot;Register&quot;
      on the upper right hand corner. Fill in all the required data and you're set.
      Registering is free and you are not obliged to anything.</span></td>
  </tr>

<tr><td class="kat"><span class="kat"><a name=3>What are private forums?</a></span></td></tr>
<tr>
    <td class="td1"><span class="norm">A private forum is reserved for a specific group of users
      that the admin chooses. Normal users have no access to this specific forum.
      Contact the admin to get access to the forum.</span></td>
  </tr>

<tr><td class="kat"><span class="kat"><a name=4>What's a moderator?</a></span></td></tr>
<tr>
    <td class="td1"><span class="norm">Moderators are forum users that have a special function. They
      can delete/edit all posts or open/close all topics of the forum they were
      assigned to.</span></td>
  </tr>

<tr><td class="kat"><span class="kat"><a name=5>What does the admin do?</a></span></td></tr>
<tr>
    <td class="td1"><span class="norm">Admins are the owner of the UPB forum. They have unlimited
      rights. They can delete/edit all posts, open/close/delete all topics, edit
      profiles, create new forums and assign moderators of a specific forum.</span></td>
  </tr>

<tr><td class="kat"><span class="kat"><a name=6>How do I edit a post?</a></span></td></tr>
<tr>
    <td class="td1"><span class="norm">To edit a post you need to be an admin, moderator or the author
      of the post. To edit click on the edit icon which can be found next to the
      author's name. You may now change the post as you like. The admin may have
      set a time-limit which limits the author's ability to edit/delete his post.</span></td>
  </tr>

<tr><td class="kat"><span class="kat"><a name=7>How do I delete a post?</a></span></td></tr>
<tr>
    <td class="td1"><span class="norm">To delete a post you need to be an admin, moderator or the
      author of the post. To delete click on the delete icon found next to the
      author's name. You will now be asked if you are sure to delete the post
      which needs to be confirmed by clicking on the delete icon. The post is
      then deleted and won't be retrievable. The admin may have set a time-limit
      which limits the author's ability to edit/delete his post.</span></td>
  </tr>

<tr><td class="kat"><span class="kat"><a name=8>What's a smilie and how do I use them?</a></span></td></tr>
<tr>
    <td class="td1"><span class="norm">Smilies are small symbols (i.E. :) ) that
      express feelings. If the user wishes, UPB supports the conversion of a
      text smilie into a picture smilie. To add a smilie into your post you can
      either click on the smilie or type the appropriate symbol manualy. The standard
      smilies are:<br>
      :) converts to <img src=images/smilies/1.gif><br>
      :( converts to <img src=images/smilies/2.gif><br>
      :o converts to <img src=images/smilies/3.gif><br>
      :D converts to <img src=images/smilies/4.gif><br>
      ;) converts to <img src=images/smilies/5.gif><br>
      :p converts to <img src=images/smilies/6.gif><br>
      :cool: converts to <img src=images/smilies/7.gif><br>
      :rolleyes: converts to <img src=images/smilies/8.gif><br>
      :mad: converts to <img src=images/smilies/9.gif><br>
      :eek: converts to <img src=images/smilies/10.gif><br>
      :confused: converts to <img src=images/smilies/11.gif></span></td>
  </tr>

<tr><td class="kat"><span class="kat"><a name=9>What's UPB code and how do I use it?</a></span></td></tr>
<tr>
    <td class="td1"><span class="norm">UPB-code is an easy way to use HTML commands
      like bold, underlined or add a picture. The following commands are available:<br>
      [b]Bold[/b] converts to <b>Bold</b><br>
      [i]Italic[/i] converts to <i>Italic</i><br>
      [url]www.test.com[/url] converts to <a href="http://www.test.com" target="_blank">www.test.com</a>
      (http:// is optional)<br>
      [url=www.test.com]Cool link[/url] converts to <a href="http://www.test.com" target="_blank">Cool
      link</a> (http:// is optional)<br>
      [email]test@test.com[/email] converts to <a href="mailto:test@test.com">test@test.com</a><br>
      [img]images/antwort.gif[/img] converts to <img src="images/antwort.gif">
      (URL or path is accepted)<br>
      [u]Underlined[/u] converts to <u>Underlined</u><br>
      [s]Crossed out[/s] converts to <s>Crossed out</s><br>
      [code]This is code[/code] converts to <code>This is code</code><br>
      [color=red]Red text[/color] converts to <font color=red>Red text</font>
      (Any HTML color can be used)</span></td>
  </tr>
</table>
</center>

<?

wio_set("faq") // WhoIsOnline Konfiguration

?>